#!/bin/bash
# 2.2) Páginas de inicio de navegadores:

function pag_inicio_navegadores() {
    PARAM="${1}"
    CONT="${2}"
    PAGCHROME="$(jq -r ".${PARAM}[${CONT}].chrome" "${FICHCONFJSON}")"
    PAGFIREFOX="$(jq -r ".${PARAM}[${CONT}].firefox" "${FICHCONFJSON}")"
    # Pasamos como parámetros las páginas de inicio: firefox  y chrome
    if vx-set-paginicio-navegadores "firefox" "${PAGFIREFOX}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Configuradas Pag Inicio: Firefox"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para configurar Pag Inicio: Firefox"
    fi
    if vx-set-paginicio-navegadores "chrome" "${PAGCHROME}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Configuradas Pag Inicio: Chrome"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas para configurar Pag Inicio: Chrome"
    fi
}

"${echo_titulo}" "*  [[ Configuración de Páginas de Inicio de los Navegadores ... ]]  *"
PARAM="paginicionav"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Pag Inicio Navegadores" "pag_inicio_navegadores"
